FAQ

Z QPI

Skocz do: nawigacji, wyszukiwania

Spis treści

Jak system powinienem mieć, aby móc z tego programu korzystać?

Kod jest testowany na systemie Windows 7 i Windows XP. Na Viście też będzie chodził. Na starszych też powinien chodzić, ale programy ściągane i instalowane przez QPI już ze starszymi systemami mogą nie być kompatybilne!

Czy program wyjdzie na Linuksa lub inne systemy?

Nie.

Co jest potrzebne, aby uruchomić QPI?

Do czasu kiedy nie wydam QPI w wersji pliku *.exe, aby uruchomić program będą potrzebne:

Czy planujesz wydać wersję która nie będzie wymagała Pythona (i PyQt) zainstalowanego w systemie?

Oczywiście. Już testuję takie rozwiązanie. Wadą jest tylko to, że dużo bibliotek wraz z plikiem wykonywalnym musi być razem. Przez to waga całości przekracza 20 MB. Jeszcze nie patrzyłem ile to zajmie, gdy skompresuje je za pomocą narzędzia UPX.

Dlaczego w niektórych miejscach nie da się zaznaczyć danej opcji?

Najprawdopodobniej dlatego, że umieściłem ją tylko i wyłącznie w interfejsie, ale nie jest jeszcze oprogramowana. W początkowych fazach programu będzie to częste zjawisko.

Czy program współpracuje z 64-bitowymi wersjami systemu Windows?

Oczywiście. Sam kod jest uniwersalny. Ale gdy wydam już wersję skompilowaną do pliku *.exe to będzie ona kompilowana tylko z wykorzystaniem bibliotek 32-bitowych. Pozwoli to na uniwersalność programu, ponieważ i tak będzie się go dało uruchomić na 64-bitowych Windowsach. Gdy QPI będzie miało wybór czy ściągać wersje 32- czy 64-bitową jakiegoś programu, sam określi z jakim typem systemu ma do czynienia i ściągnie odpowiednią wersję. Więc w tej kwestii nie masz użytkowniku o co się martwić.

Nie znam się na Pythonie, a chciałbym dowiedzieć się jakich opcji instalatora danego programu mam użyć, aby zainstalować go tak jak robi to QPI

Proszę bardzo! Tutaj masz rozpiskę wszystkich programów jakie są dostępne w QPI wraz ze szczegółami dotyczących ich instalacji.

Z jakiego źródła ściągasz wszystkie te instalatory?

Zawsze ze strony danego programu. Nie korzystam z pośredników takich jak FileHippo, czy dobreprogramy.pl W nowej wersji muszę korzystać głównie z FileHippo. Dlaczego? Ponieważ miałem wielki problem z napisaniem kodu dla pobrania Safari. Niestety Apple nie pozwala na zaglądnięcie do np. appldnld.apple.com tak, aby zobaczyć gdzie dokładnie siedzi najnowsza wersja. Pobieranie ze strony Apple jest odbywane przy pomocy JavaScriptu i PHP, więc nici z przechwyceniem bezpośredniego linku do pobierania. I jak pomyślałem, że mogę mieć takie problemy także z innymi programami to zrezygnowałem z poprzedniej metody i korzystam głównie z FileHippo.

Czy muszą być spełnione jakieś warunki jeśli chodzi o umiejscowienie programu?

Tak. Program musi znajdować się w takiej lokalizacji, by ścieżka do niej nie zawierała spacji! Wiem, że może to być przykra wiadomość dla użytkowników Windowsa XP, gdzie jak dadzą do "Moich dokumentów" to już mają niespełniony warunek! Jeżeli nie załapałeś czemu, to spójrz niżej

Miejsca pogrubione pokazują czemu. Możliwe, że naprawię to, ale nie wiem kiedy.

Czy mogę użyć QPI do aktualizacji już zainstalowanych programów?

Nie, ponieważ QPI nie jest do tego przystosowany.

Mam propozycję programu który mógłbyś zamieścić w QPI!

Super. Ale proszę na razie nie zgłaszać żadnych propozycji. Gdy program wyjdzie z fazy dodawania programów tych co ja chcę (stanie się to najprawdopodobniej z wersją 0.1), stworzę odpowiedni formularz do zgłaszania propozycji.

Co z obsługą Windows 8?

Testowałem wersję już skompilowaną do *.exe i efekt jest widoczny na obrazku z prawej strony:
Kliknij, aby zobaczyć w pełnym wymiarze

Jak widać, PyQt nie jest przystosowane na Developer Preview, ale program działa. Wszystkie programy instalują się poprawnie.

Osobiste
Przestrzenie nazw
Warianty
Działania
Nawigacja
Narzędzia